summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /eclass/findlib.eclass
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'eclass/findlib.eclass')
-rw-r--r--eclass/findlib.eclass59
1 files changed, 59 insertions, 0 deletions
diff --git a/eclass/findlib.eclass b/eclass/findlib.eclass
new file mode 100644
index 000000000000..e2d9b8fb7a1c
--- /dev/null
+++ b/eclass/findlib.eclass
@@ -0,0 +1,59 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+# @ECLASS: findlib.eclass
+# @MAINTAINER:
+# ml@gentoo.org
+# @AUTHOR:
+# Original author: Matthieu Sozeau <mattam@gentoo.org> (retired)
+# @BLURB: ocamlfind (a.k.a. findlib) eclass
+# @DESCRIPTION:
+# ocamlfind (a.k.a. findlib) eclass
+
+
+
+# From this findlib version there is proper stublibs support.
+DEPEND=">=dev-ml/findlib-1.0.4-r1"
+[[ ${FINDLIB_USE} ]] && DEPEND="${FINDLIB_USE}? ( ${DEPEND} )"
+
+check_ocamlfind() {
+ if [ ! -x "${EPREFIX}"/usr/bin/ocamlfind ]
+ then
+ eerror "In findlib.eclass: could not find the ocamlfind executable"
+ eerror "Please report this bug on gentoo's bugzilla, assigning to ml@gentoo.org"
+ die "ocamlfind executabled not found"
+ fi
+}
+
+# @FUNCTION: findlib_src_preinst
+# @DESCRIPTION:
+# Prepare the image for a findlib installation.
+# We use the stublibs style, so no ld.conf needs to be
+# updated when a package installs C shared libraries.
+findlib_src_preinst() {
+ has "${EAPI:-0}" 0 1 2 && ! use prefix && EPREFIX=
+ has "${EAPI:-0}" 0 1 2 && use !prefix && ED="${D}"
+ check_ocamlfind
+
+ # destdir is the ocaml sitelib
+ local destdir=`ocamlfind printconf destdir`
+
+ # strip off prefix
+ destdir=${destdir#${EPREFIX}}
+
+ dodir ${destdir} || die "dodir failed"
+ export OCAMLFIND_DESTDIR=${ED}${destdir}
+
+ # stublibs style
+ dodir ${destdir}/stublibs || die "dodir failed"
+ export OCAMLFIND_LDCONF=ignore
+}
+
+# @FUNCTION: findlib_src_install
+# @DESCRIPTION:
+# Install with a properly setup findlib
+findlib_src_install() {
+ findlib_src_preinst
+ make DESTDIR="${D}" "$@" install || die "make failed"
+}